 	org $1001-2
	dw  $1001
	
	dw nextln,2021	; second word is line number
	db $9E,"4109",0
nextln	db 0,0
	
	sei
	sta $FF3F
	jmp skip_compressed_data
	
	include "sante_comp1_hex.asm"
	include "sante_comp2_hex.asm"
	
	db $00
skip_compressed_data
	lda #$CC
	cmp $FF1D
	bne *-3
	;
	lda #$0B
	sta $FF06
	;
	lda $FF07
	and #$40
	ora #$88
	sta $FF07
	;
	lda #charset >> 8
	sta $FF13 
	;
	ldx #$FD			; set up ted sound registers
	stx $FF0E
	inx
	stx $FF0F
	lda #$03
	sta $FF10
	lda #$C3
	sta $FF12
	;
	ldx #$00
c1	lda #$71
	sta $0800,x
	sta $0900,x
	sta $0A00,x
	sta $0B00,x
	lda charmap,x
	sta $0C00,x
	lda charmap+$100,x
	sta $0D00,x
	lda charmap+$200,x
	sta $0E00,x
	lda charmap+$300,x
	sta $0F00,x
	inx
	bne c1
	;
	ldx #$FF
	lda $FF07
	and #$40
	beq *+4
	ldx #$F8
	cpx $FF1D
	bne *-4 
	;
	lda #$33
	sta $FF15
	sta $FF19
	;
	lda #$1B
	sta $FF06
	;
not_pressed
	lda #$7F
	sta $FD30
	sta $FF08
	lda $FF08
	and #$10	; Query keyboard for "Space"
	bne not_pressed
	;
	lda #$0B
	sta $FF06
	;
	cld
	jmp $1014
	
	align $0800
	include "title_charset.asm"
;eof